<?php  																														require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/app.class.php");	require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/nav.class.php"); 	require_once($_SERVER['DOCUMENT_ROOT'] . "/eclipse.org-common/system/menu.class.php"); 	$App 	= new App();	$Nav	= new Nav();	$Menu 	= new Menu();		include($App->getProjectCommon());    # All on the same line to unclutter the user's desktop'

$pageTitle 		= "";
$pageKeywords	= "";
$pageAuthor		= "";

ob_start();
?>
    <div id="maincontent">
	<div id="midcolumn">

<h1>Eclipse Model Development Tools (MDT) Project Proposal</h1>
</p>
<?php
include_once($_SERVER['DOCUMENT_ROOT'] . "/projects/fragments/proposal-page-header.php");
generate_header("YOUR PROPOSAL UNIQUE KEY HERE");
?>

<h2>Introduction</h2>

<p>The Model Development Tools (MDT) Project is a proposed open source subproject
under the <a href="http://www.eclipse.org/modeling/">Eclipse Modeling Project</a>.</p>

<p>This proposal is in the Project Pre-Proposal Phase (as defined in the <a
href="http://www.eclipse.org/projects/dev_process/">Eclipse Development Process</a>
document) and is written to declare its intent and scope. This proposal is
written to solicit additional participation and input from the Eclipse
community. You are invited to comment and/or join the project. Please send all
feedback to the <a href="news://news.eclipse.org/eclipse.modeling.mdt">news://news.eclipse.org/eclipse.modeling.mdt</a>
newsgroup.</p>

<h2>Background</h2>

<p class=MsoNormal>As described in the project proposal for the <a
href="http://www.eclipse.org/proposals/modeling/">Eclipse Modeling Project</a>,
support for industry standards is critical its success, and to the success of Eclipse
in general. The role of the Modeling project in the support of industry
standards is to enable their creation and maintenance within the Eclipse
community. Furthermore, as standards bodies such as the OMG have a strong
modeling focus, the Modeling project needs to facilitate communication and
outreach through its PMC and project contributors to foster a good working
relationship with external organizations.</p>

<p class=MsoNormal>MDT is a project inspired by the Eclipse communitys need
for more end user &quot;tooling&quot; from the Modeling project. We seem to
have an abundance of frameworks and low-level technologies for modeling, but
not much in the way of what most expect to find. Of course, this is fueled by
the fact that &quot;other&quot; free or open source modeling tools exist,
making Eclipse a bit of a laggard in this area. Hopefully, now that we have the
key components in place (e.g. EMF, GMF, UML2), getting the community focused on
providing this won't take much longer.</p>

<h2>Project Description</h2>

<p>The MDT project will focus on big M modeling within the Modeling project,
and its purpose will be twofold:</p>

<p style='margin-left:.5in;text-indent:-.25in'>1)<span style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span>To provide an implementation of industry standard metamodels.</p>

<p style='margin-left:.5in;text-indent:-.25in'>2)<span style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span>To provide exemplary tools for developing models based on those
metamodels.</p>

<p>The specifications implemented in the MDT project will be limited to those
that fall within the scope of the Modeling Project charter.</p>

<h2 style='page-break-after:avoid'>Organization</h2>

<p>We propose that this project be undertaken as part of the Eclipse Modeling
Project. It will have dependencies on the Eclipse Platform, EMF, and GMF.</p>

<p>The MDT project will initially consist of components which already exist as
subprojects (or components thereof) of the Modeling top-level project, namely
XSD, UML2, and EODM. The scope of the UML2 component will be expanded to
include the remaining specifications under the UML2 umbrella, i.e. Object
Constraint Language (OCL) and Diagram Interchange (DI), plus graphical tools to
develop UML models. Each of these (sub)components will be downloadable and
useable independently of one another.</p>

<p>It is proposed that the following initial structure reside within the /cvsroot/modeling
repository location at dev.eclipse.org:</p>

<p class=MsoNormal>/mdt</p>

<p class=MsoNormal> /org.eclipse.eodm</p>

<p class=MsoNormal> /org.eclipse.uml2</p>

<p class=MsoNormal><a name="OLE_LINK1"> /org.eclipse.xsd</a></p>

<p>&nbsp;</p>

<table class=MsoNormalTable border=0 cellpadding=0>
 <tr>
  <td style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><b>Project</b></p>
  </td>
  <td style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><b>Name</b></p>
  </td>
  <td style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><b>Description</b></p>
  </td>
  <td style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><b>Impact</b></p>
  </td>
 </tr>
 <tr>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><a href="http://www.eclipse.org/uml2">UML2</a></p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>Unified Modeling Language 2.x</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>The UML2 project is an EMF-based implementation of the
  OMG's Unified Modeling Language 2.x specification.</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>UML2 is currently its own project and will become a
  component of MDT. Its newsgroup will be eclipse.modeling.mdt.uml2 and its
  various subcomponents will be listed as components under a Modeling/MDT
  product in Bugzilla.</p>
  </td>
 </tr>
 <tr>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><a href="http://www.eclipse.org/xsd">XSD</a></p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>XML Schema Infoset Model</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>XSD is a library that provides an <a
  href="http://download.eclipse.org/tools/emf/xsd/javadoc?org/eclipse/xsd/package-summary.html#details">API</a>
  for manipulating the components of an XML Schema as described by the <a
  href="http://www.w3.org/TR/XMLSchema-0">W3C XML Schema</a> specifications, as
  well as an API for manipulating the DOM-accessible representation of XML.</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>XSD is currently its own project and will become a
  component of MDT. Its newsgroup will be org.eclipse.modeling.mdt.xsd and its
  various subcomponents will be listed as components under a Modeling/MDT
  product in Bugzilla.</p>
  </td>
 </tr>
 <tr>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><a href="http://www.eclipse.org/emft/projects/eodm/">EODM</a></p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>EMF Ontology Definition Metamodel</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>EODM is an implementation of RDF(S)/OWL metamodels of the <a
  href="http://www.omg.org/ontology">Ontology Definition Metamodel (ODM)</a>
  using EMF with additional parsing, inference, model transformation and
  editing functions.</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>EODM is currently a component of the (former) EMFT project
  and will become a component of MDT. Its newsgroup will be
  org.eclipse.modeling.mdt.eodm and its various subcomponents will be listed as
  components under a Modeling/MDT product in Bugzilla.</p>
  </td>
 </tr>
 <tr>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal><a href="http://www.eclipse.org/emft">OCL</a></p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>Object Constraint Language</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>OCL is an implementation of the OCL OMG standard for
  EMF-based models.</p>
  </td>
  <td valign=top style='padding:.75pt .75pt .75pt .75pt'>
  <p class=MsoNormal>OCL is currently a component of the (former) EMFT project
  and will become a subcomponent of the UML2 component in the MDT project. It
  will be covered by the UML2 newsgroup (eclipse.modeling.mdt.uml2) and it will
  be listed as a component (e.g. UML2 OCL) under a Modeling/MDT product in
  Bugzilla.</p>
  </td>
 </tr>
</table>

<p class=MsoNormal>&nbsp;</p>

<p class=MsoNormal>&nbsp;</p>

<p class=MsoNormal>Addition of new (sub)components (e.g. metamodels, tools) is
expected over the life of the Model Development Tools Project to take into account
the scope proposed above, and its inevitable alterations. It will be the
responsibility of the PMC to actively recruit contributors and alter the
project organization to maintain alignment and coverage of its defined scope.</p>

<h3>Initial committers</h3>

<p style='margin-bottom:0in;margin-bottom:.0001pt'>The following companies will
contribute committers to get the project started:</p>

<p style='margin-top:5.0pt;margin-right:0in;margin-bottom:0in;margin-left:.5in;
margin-bottom:.0001pt;text-indent:-.25in'><span style='font-size:10.0pt;
font-family:Symbol'><span style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span>IBM (<a href="http://www.ibm.com/">www.ibm.com</a>)</p>

<ul style='margin-top:0in' type=disc>
 <ul style='margin-top:0in' type=circle>
  <li class=MsoNormal>Kenn Hussey (proposed project lead; UML2 component  UML)</li>
  <li class=MsoNormal>Christian Damus (UML2 component - OCL)</li>
  <li class=MsoNormal>Ed Merks (XSD component)</li>
  <li class=MsoNormal>Guo Tong Xie (EODM component)</li>
 </ul>
 <li class=MsoNormal>Borland (<a href="http://www.borland.com/">www.borland.com</a>)</li>
 <ul style='margin-top:0in' type=circle>
  <li class=MsoNormal>Michael Golubev (UML2 component - Tools)</li>
 </ul>
</ul>

<h3>Interested parties</h3>

<p style='margin-bottom:0in;margin-bottom:.0001pt'>The following organizations
have expressed initial interest in the project:</p>

<p style='margin-top:5.0pt;margin-right:0in;margin-bottom:0in;margin-left:.5in;
margin-bottom:.0001pt;text-indent:-.25in'><span style='font-size:10.0pt;
font-family:Symbol'><span style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span>IBM (<a href="http://www.ibm.com/">www.ibm.com</a>)</p>

<p style='margin-top:5.0pt;margin-right:0in;margin-bottom:0in;margin-left:.5in;
margin-bottom:.0001pt;text-indent:-.25in'><span style='font-size:10.0pt;
font-family:Symbol'><span style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</span></span>Borland (<a href="http://www.borland.com/">www.borland.com</a>)</p>

<h3>Participation</h3>

<p>Critical to the success of this project is participation of developers in
the modeling tools development community. We intend to reach out to this
community and enlist the support of those interested in making a success of the
Model Development Tools project. We ask interested parties to contact the MDT
newsgroup to express interest in contributing to the project.</p>

      </div>
  </div>
<?php
	$html = ob_get_contents();
	ob_end_clean();

	# Generate the web page
	$App->generatePage($theme, $Menu, $Nav, $pageAuthor, $pageKeywords, $pageTitle, $html);
?>
